# IBM Visualization Data Explorer User's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### Trace

Category

Debugging

Function

Enable or disables tracing options.

Syntax

    Trace(what, how);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`what` | string | none | the object to be traced
`how` | integer | 1 | 0: set tracing off 1: set tracing on

Functional Details

`what` | is (1) a keyword specifying the object to be traced or (2) a set of letters specifying a group of debug message classes, as used by the `DXEnableDebug()` library function (see IBM Visualization Data Explorer Programmer's Reference). At present, the only keyword value allowed for this parameter is `"time"`: `Trace("time", 1);` will begin the trace, and `Trace("time", 0);` will print a record of time use since the tracing was started. The output appears in the Message window. If `what` is a string of lowercase letters other than `time`, the module calls the `DXEnableDebug` library function. (The uppercase letters A-Z and the numbers 0-9 are reserved for system use).
`how` | specifies whether the trace option is activated or not.

Note: If the executive is started with the flag `-timing` on, the command `Trace("time", 0)` causes all module entry and exit times to be printed. In the VPE window, this command can be enabled using the Debug Tracing button in the `Commands` menu of the Message window (see 8.2 , "Using the Message Window" in IBM Visualization Data Explorer User's Guide).

Script Language Example

In this example, the module traces the use of time by Isosurface.

    electrondensity = Import("/usr/lpp/dx/samples/data/watermolecule");
    electrondensity = Partition(electrondensity);
    camera = AutoCamera(electrondensity, width=5);
    Trace("time", 1);
    isosurface = Isosurface(electrondensity, 0.3);
    Trace("time", 0);
    Display(isosurface, \camera);

See Also

Usage

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]